Intermittent browser_storage_overflow.js | This test exceeded the timeout threshold. It should be rewritten or split up.

RESOLVED WORKSFORME

Status

P2
normal
RESOLVED WORKSFORME
2 years ago
3 months ago

People

(Reporter: aryx, Assigned: miker)

Tracking

({intermittent-failure})

Trunk
intermittent-failure
Dependency tree / graph

Firefox Tracking Flags

(firefox50 affected)

Details

+++ This bug was initially created as a clone of Bug #1242832 +++

https://treeherder.mozilla.org/logviewer.html#?job_id=424813&repo=autoland

06:54:31     INFO -  10134 INFO TEST-START | devtools/client/storage/test/browser_storage_localstorage_error.js
06:54:41     INFO -  console.warn: Failed to enumerate localStorage for host about:home: [Exception... "Component is not available"  nsresult: "0x80040111 (NS_ERROR_NOT_AVAILABLE)"  location: "JS frame :: resource://gre/modules/commonjs/toolkit/loader.js -> resource://devtools/server/actors/storage.js :: populateStoresForHost :: line 1002"  data: no]
06:54:41     INFO -  console.warn: Failed to enumerate sessionStorage for host about:home: [Exception... "Component is not available"  nsresult: "0x80040111 (NS_ERROR_NOT_AVAILABLE)"  location: "JS frame :: resource://gre/modules/commonjs/toolkit/loader.js -> resource://devtools/server/actors/storage.js :: populateStoresForHost :: line 1002"  data: no]
06:54:48     INFO -  MEMORY STAT | vsize 20972879MB | residentFast 628MB
06:54:48     INFO -  10135 INFO TEST-OK | devtools/client/storage/test/browser_storage_localstorage_error.js | took 17855ms
06:54:49     INFO -  10136 INFO TEST-START | devtools/client/storage/test/browser_storage_overflow.js
06:55:48     INFO -  TEST-INFO | started process screentopng
06:55:50     INFO -  TEST-INFO | screentopng: exit 0
06:55:50     INFO -  10137 INFO checking window state
06:55:50     INFO -  10138 INFO Entering test bound
06:55:50     INFO -  10139 INFO Adding a new tab with URL: http://test1.example.org/browser/devtools/client/storage/test/storage-overflow.html
06:55:50     INFO -  10140 INFO Waiting for event: 'load' on [object XULElement].
06:55:50     INFO -  10141 INFO Got event: 'load' on [object XULElement].
06:55:50     INFO -  10142 INFO Tab added and finished loading
06:55:50     INFO -  10143 INFO Opening the storage inspector
06:55:50     INFO -  10144 INFO Opening the toolbox
06:55:50     INFO -  10145 INFO Console message: [JavaScript Warning: "XUL box for vbox element contained an inline label child, forcing all its children to be wrapped in a block." {file: "chrome://devtools/content/storage/storage.xul" line: 0}]
06:55:50     INFO -  10146 INFO Waiting for the stores to update
06:55:50     INFO -  10147 INFO Making sure that the toolbox's frame is focused
06:55:50     INFO -  10148 INFO TEST-PASS | devtools/client/storage/test/browser_storage_overflow.js | Table should initially display 50 items -
06:55:50     INFO -  10149 INFO TEST-PASS | devtools/client/storage/test/browser_storage_overflow.js | Table should display 100 items after scrolling -
06:55:50     INFO -  10150 INFO TEST-PASS | devtools/client/storage/test/browser_storage_overflow.js | Table should display 150 items after scrolling -
06:55:50     INFO -  10151 INFO TEST-PASS | devtools/client/storage/test/browser_storage_overflow.js | Table should display all 160 items after scrolling -
06:55:50     INFO -  10152 INFO Leaving test bound
06:55:50     INFO -  10153 INFO Removing tab.
06:55:50     INFO -  10154 INFO Waiting for event: 'TabClose' on [object XULElement].
06:55:50     INFO -  10155 INFO Got event: 'TabClose' on [object XULElement].
06:55:50     INFO -  10156 INFO Tab removed and finished closing
06:55:50     INFO -  10157 INFO TEST-UNEXPECTED-FAIL | devtools/client/storage/test/browser_storage_overflow.js | This test exceeded the timeout threshold. It should be rewritten or split up. If that's not possible, use requestLongerTimeout(N), but only as a last resort. -
Something clearly happened between the following two entries:
06:54:49     INFO -  10136 INFO TEST-START | devtools/client/storage/test/browser_storage_overflow.js
06:55:48     INFO -  TEST-INFO | started process screentopng

Let's wait for a log that shows this information.
Priority: -- → P2
6 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 5
* mozilla-aurora: 1

Platform breakdown:
* linux64: 3
* linux32: 3

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1285722&startday=2016-07-18&endday=2016-07-24&tree=all
6 failures in 526 pushes (0.011 failures/push) were associated with this bug in the last 7 days.  

Repository breakdown:
* autoland: 3
* mozilla-inbound: 2
* try: 1

Platform breakdown:
* linux32: 6

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1285722&startday=2016-12-12&endday=2016-12-18&tree=all
5 failures in 563 pushes (0.009 failures/push) were associated with this bug in the last 7 days.  

Repository breakdown:
* mozilla-inbound: 2
* autoland: 2
* mozilla-central: 1

Platform breakdown:
* linux32: 5

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1285722&startday=2017-01-02&endday=2017-01-08&tree=all
8 failures in 722 pushes (0.011 failures/push) were associated with this bug in the last 7 days.  

Repository breakdown:
* autoland: 4
* mozilla-inbound: 3
* try: 1

Platform breakdown:
* linux32: 8

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1285722&startday=2017-01-09&endday=2017-01-15&tree=all
This error has not been triggered for over a year now so we are safe to close it.
Assignee: nobody → mratcliffe
Status: NEW → RESOLVED
Has Regression Range: --- → no
Has STR: --- → irrelevant
Last Resolved: 8 months ago
OS: Unspecified → All
Hardware: Unspecified → All
Resolution: --- → WORKSFORME

Updated

3 months ago
Product: Firefox → DevTools
You need to log in before you can comment on or make changes to this bug.